Skip to main content
GET
/
v5
/
banks
/
accounts
Get bank accounts
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/banks/accounts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.hurdlr.com/rest/v5/banks/accounts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.hurdlr.com/rest/v5/banks/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": 123,
      "apiAccountId": "<string>",
      "apiAccountName": "Citi Premier® Card",
      "apiAccountNo": "<string>",
      "apiInstitutionId": "<string>",
      "apiAccountType": "CREDIT",
      "glAccountId": 123,
      "defaultClientId": 123,
      "defaultBusinessId": 123,
      "createdDate": "2023-11-07T05:31:56Z",
      "lastApiSyncedDate": "2023-11-07T05:31:56Z",
      "latestTransactionDate": "2025-10-01",
      "latestStatementDate": "2025-10-01",
      "latestCompletedClosingDate": "2025-10-01",
      "lastWebhookDatetime": "2023-11-07T05:31:56Z",
      "tranStartDate": "2023-11-07T05:31:56Z",
      "tranMinStartDate": "2023-11-07T05:31:56Z",
      "billingCycleStartDay": 16,
      "scheduleClosings": true,
      "integrationId": 123,
      "syncTransactions": true,
      "isSupported": true
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

lastUpdatedDate
string

Date filter - returns all records modified after the specified date

Query Parameters

apiName
enum<string>[]

Api filter - returns all accounts for the specified APIs. If null or empty, returns all records.

Available options:
PLAID,
THIRD_PARTY_BANK,
USER_IMPORTED,
XERO,
QBO

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate